SDL Library Documentation
Prev |  | Next

# SDL_GetEventFilter

## Name

SDL_GetEventFilter -- Retrieves a pointer to he event filter

## Synopsis

    #include "SDL.h"

``SDL_EventFilter SDL_GetEventFilter`(void);`

## Description

This function retrieces a pointer to the event filter that was previously set using `SDL_SetEventFilter`. An SDL_EventFilter function is defined as:

    typedef int (*SDL_EventFilter)(const SDL_Event *event);

## Return Value

Returns a pointer to the event filter or `NULL` if no filter has been set.

## See Also

SDL_Event, `SDL_SetEventFilter`

Prev | Home | Next
SDL_SetEventFilter | Up | SDL_EventState